Package org.eclipse.jgit.api.errors

## Class GitAPIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ArchiveCommand.UnsupportedFormatException`, `CanceledException`, `CannotDeleteCurrentBranchException`, `CheckoutConflictException`, `ConcurrentRefUpdateException`, `DetachedHeadException`, `InvalidConfigurationException`, `InvalidMergeHeadsException`, `InvalidRebaseStepException`, `InvalidRefNameException`, `InvalidRemoteException`, `InvalidTagNameException`, `MultipleParentsNotAllowedException`, `NoFilepatternException`, `NoHeadException`, `NoMessageException`, `NotMergedException`, `PatchApplyException`, `PatchFormatException`, `RefAlreadyExistsException`, `RefNotFoundException`, `RejectCommitException`, `StashApplyFailureException`, `TransportException`, `UnmergedPathsException`, `WrongRepositoryStateException`

    public abstract class GitAPIException
    extends Exception

Superclass of all exceptions thrown by the API classes in `org.eclipse.jgit.api`

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `GitAPIException​(String message)` Constructs a new exception with the specified detail message and no cause.
`protected` `GitAPIException​(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GitAPIException

    protected GitAPIException​(String message,
                              Throwable cause)

Constructs a new exception with the specified detail message and cause.

Parameters:
  `message` - detail message
  `cause` - cause
Since:
  3.1

#### GitAPIException

    protected GitAPIException​(String message)

Constructs a new exception with the specified detail message and no cause.

Parameters:
  `message` - detail message
Since:
  3.1